%define version 0.10.19
%define release %mkrel 2
%define         _glib2          2.2
%define major 0.10
%define majorminor 0.10
%define bname gstreamer0.10
%define name %bname-plugins-ugly
%define build_lame 1
%define build_amrnb 1
%define build_experimental 1

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 	Sound
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
Patch: 	gstreamer-plugins-ugly-0.10.17-amr-linking.patch
Patch1:	gstreamer-plugins-ugly-0.10.19-cdio-0.90.patch
URL:         http://gstreamer.freedesktop.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot 
BuildRequires:	gtk+2-devel
BuildRequires:	glib2-devel >= %_glib2 
BuildRequires:	liboil-devel >= 0.3.2
BuildRequires:	libgstreamer-plugins-base-devel >= %version
BuildRequires:	libmesaglu-devel
BuildRequires:	libmad-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libcheck-devel

BuildRequires: liblame-devel
BuildRequires: %{_lib}opencore-amrnb-devel
BuildRequires: %{_lib}opencore-amrwb-devel
BuildRequires: sidplay-devel
BuildRequires: a52dec-devel
BuildRequires: libmpeg2dec-devel
BuildRequires: libcdio-devel
BuildRequires: libtwolame-devel
BuildRequires: x264-devel

Provides:	%bname-audiosrc
Provides:	%bname-audiosink
Obsoletes:  	%name < %version
Requires:	glibc >= 2.20

Obsoletes: %bname-a52dec
Obsoletes: %bname-amrnb
Obsoletes: %bname-amrwbdec
Obsoletes: %bname-cdio
Obsoletes: %bname-lame
Obsoletes: %bname-mpeg
Obsoletes: %bname-sid
Obsoletes: %bname-twolame
Obsoletes: %bname-x264

Provides: %bname-a52dec = %version-%release
Provides: %bname-amrnb = %version-%release
Provides: %bname-amrwbdec = %version-%release
Provides: %bname-cdio = %version-%release
Provides: %bname-lame = %version-%release
Provides: %bname-mpeg = %version-%release
Provides: %bname-sid = %version-%release
Provides: %bname-twolame = %version-%release
Provides: %bname-x264 = %version-%release

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.


%prep
%setup -q -n gst-plugins-ugly-%{version}
%apply_patches

autoconf

%build
%configure2_5x --disable-dependency-tracking --enable-experimental --enable-introspection=no \

%make

%install
rm -rf %buildroot gst-plugins-base-%majorminor.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gst-plugins-ugly-%majorminor
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files -f gst-plugins-ugly-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%_libdir/gstreamer-%majorminor/libgstasf.so
%_libdir/gstreamer-%majorminor/libgstdvdlpcmdec.so
%_libdir/gstreamer-%majorminor/libgstdvdread.so
%_libdir/gstreamer-%majorminor/libgstdvdsub.so
%_libdir/gstreamer-%majorminor/libgstiec958.so
%_libdir/gstreamer-%majorminor/libgstmad.so
%_libdir/gstreamer-%majorminor/libgstmpegaudioparse.so
%_libdir/gstreamer-%majorminor/libgstmpegstream.so
%_libdir/gstreamer-%majorminor/libgstrmdemux.so
%if %build_experimental
%_libdir/gstreamer-%majorminor/libgstsynaesthesia.so
%endif

%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
%{_libdir}/gstreamer-%{majorminor}/libgstamrnb.so
%_datadir/gstreamer-%majorminor/presets/GstAmrnbEnc.prs
%{_libdir}/gstreamer-%{majorminor}/libgstamrwbdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so
%_libdir/gstreamer-%majorminor/libgsttwolame.so
%_libdir/gstreamer-%{majorminor}/libgstx264.so
%_datadir/gstreamer-%majorminor/presets/GstX264Enc.prs


%changelog
* Sat Feb 21 2015 bb <bb> 0.10.19-2pclos2015
- merge subpackages into main

* Wed Feb 18 2015 bb <bb> 0.10.19-1pclos2015
- update

* Tue May 14 2013 Texstar <texstar at gmail.com> 0.10.18-4pclos2013
- rebuild x264 1.115

